%%%
%%%ISMB Extended abstract class file modified from JSME technical journal class file (jsme-tj.cls)
%%%
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{jsme-ismb19}[2015/08/04 ver.1.0]

%%package
\RequirePackage[dvipdfmx]{graphicx}
\RequirePackage[dvipdfmx]{color}
\RequirePackage[fleqn]{amsmath}
\allowdisplaybreaks
\RequirePackage{txfonts}

%%%Paper A4 (210mm, 297mm)
\paperwidth210mm
\paperheight297mm

%%textarea 170mm 247mm%%
\textwidth170mm%%
\textheight247mm%%

%%Position of textarea
\oddsidemargin20mm\advance\oddsidemargin-1in
\evensidemargin\oddsidemargin

\topmargin-1in
\advance\topmargin35pt
\headheight12pt
\headsep37pt
\footskip27pt
\topskip-0pt

%%%%normalsize
\def\normalsize{%
   \@setfontsize\normalsize\@xpt{13.5pt}%
   \abovedisplayskip 10\p@ \@plus2\p@ \@minus5\p@
   \abovedisplayshortskip \z@ \@plus3\p@
   \belowdisplayshortskip 6\p@ \@plus3\p@ \@minus3\p@
   \belowdisplayskip \abovedisplayskip
   \let\@listi\@listI}%
\normalsize

\newdimen\normal@baselineskip
\normal@baselineskip13.5pt

%%%Some preferences depending on \normalsize

\setlength\smallskipamount{3\p@ \@plus 1\p@ \@minus 1\p@}
\setlength\medskipamount{6\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\bigskipamount{12\p@ \@plus 4\p@ \@minus 4\p@}


\setlength\footnotesep{6.65\p@}
\setlength{\skip\footins}{9\p@ \@plus 4\p@ \@minus 2\p@}
\setlength\floatsep    {12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\textfloatsep{20\p@ \@plus 2\p@ \@minus 4\p@}
\setlength\intextsep   {12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\dblfloatsep    {12\p@ \@plus 2\p@ \@minus 2\p@}
\setlength\dbltextfloatsep{20\p@ \@plus 2\p@ \@minus 4\p@}
\setlength\@fptop{0\p@ \@plus 1fil}
\setlength\@fpsep{8\p@ \@plus 2fil}
\setlength\@fpbot{0\p@ \@plus 1fil}
\setlength\@dblfptop{0\p@ \@plus 1fil}
\setlength\@dblfpsep{8\p@ \@plus 2fil}
\setlength\@dblfpbot{0\p@ \@plus 1fil}
\setlength\partopsep{2\p@ \@plus 1\p@ \@minus 1\p@}
\def\@listi{\leftmargin\leftmargini
            \parsep 4\p@ \@plus2\p@ \@minus\p@
            \topsep 8\p@ \@plus2\p@ \@minus4\p@
            \itemsep4\p@ \@plus2\p@ \@minus\p@}
\let\@listI\@listi
\@listi
\def\@listii {\leftmargin\leftmarginii
              \labelwidth\leftmarginii
              \advance\labelwidth-\labelsep
              \topsep    4\p@ \@plus2\p@ \@minus\p@
              \parsep    2\p@ \@plus\p@  \@minus\p@
              \itemsep   \parsep}
\def\@listiii{\leftmargin\leftmarginiii
              \labelwidth\leftmarginiii
              \advance\labelwidth-\labelsep
              \topsep    2\p@ \@plus\p@\@minus\p@
              \parsep    \z@
              \partopsep \p@ \@plus\z@ \@minus\p@
              \itemsep   \topsep}
\def\@listiv {\leftmargin\leftmarginiv
              \labelwidth\leftmarginiv
              \advance\labelwidth-\labelsep}
\def\@listv  {\leftmargin\leftmarginv
              \labelwidth\leftmarginv
              \advance\labelwidth-\labelsep}
\def\@listvi {\leftmargin\leftmarginvi
              \labelwidth\leftmarginvi
              \advance\labelwidth-\labelsep}

% footnotesize
\newcommand{\footnotesize}{\relax}

%%%%%%%Some Preferences 
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{}
\setlength\parskip{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
\setcounter{topnumber}{2}
\renewcommand\topfraction{.7}
\setcounter{bottomnumber}{1}
\renewcommand\bottomfraction{.3}
\setcounter{totalnumber}{3}
\renewcommand\textfraction{.2}
\renewcommand\floatpagefraction{.5}
\setcounter{dbltopnumber}{2}
\renewcommand\dbltopfraction{.7}
\renewcommand\dblfloatpagefraction{.5}


\def\titlepage@affiliate@font@size{\fontsize{8pt}{12pt}\usefont{OT1}{phv}{m}{n}}
\def\font@author{\normalfont\fontsize{11pt}{13.5pt}\selectfont}
\def\section@font{\fontsize{11pt}{13.5pt}\usefont{OT1}{ptm}{bx}{n}}
\def\subsection@font{\normalsize\usefont{OT1}{ptm}{sb}{n}}
\def\subsubsection@font{\normalsize\usefont{OT1}{ptm}{sb}{n}}

%%%Page styles%%%change: 2006/06/16
\def\ps@titlepage{%
	\def\@oddhead{%
		\definecolor{headbox@color}{rgb}{0.776,0.851,0.945}%198 217 241
		\colorbox{headbox@color}{
			\vbox{
				\fontsize{10pt}{13.5pt}\usefont{T1}{ptm}{m}{n}
					The 19th International Symposium on Magnetic Bearings\par
				\centering
				\fontsize{20pt}{20pt}\usefont{T1}{ptm}{m}{it}
					 ISMB19 Digest\par\vskip2mm
			}%\vbox
		}%\colorbox
	}%\def\@oddhead
	\def\@oddfoot{%
		\makeNombre%
	}%\def\@oddfoot
}%\def\ps@titlepage

\def\makeNombre{%
	\definecolor{nombrebox@color}{rgb}{.0235, .3608, .6588}%6 92 168
	\hspace{-\oddsidemargin}%
	\hspace{-1in}%
	\hspace{12mm}%
	\smash{\hbox to \z@{
		\raisebox{2mm}{\makebox[170mm][r]{%
			%\fontsize{8pt}{12pt}\usefont{OT1}{phv}{m}{n}
			%$\copyright$ 2016 The Japan Society of Mechanical Engineers
		}}%\raisebox
	}}%\smash
	\smash{\hbox to\z@{%
		\raisebox{0.5mm}{\vtop{
			\color{nombrebox@color}
			\hrule width190mm height0.25pt
		}}%\raisebox
	}}%\smash
	\smash{\hbox to\z@{%
		\raisebox{-0.5mm}{\hbox to190mm {%
			\hfill%
			\fboxrule\z@%
			\fboxsep1mm%
			\colorbox{nombrebox@color}{%
				\hbox to 7mm{%
					\hspace{2mm}%
					\fontsize{9pt}{\z@}\usefont{OT1}{phv}{b}{n}
					\color{white}%
					\thepage%
				}%\hbox
			}%\colorbox
		}}%\raisebox
	}}%\smash
}%\def\makeNombre

\def\ps@normalpage{%
	\def\@oddfoot{%
		\makeNombre%
	}%
}%


%%%%%%%%%author, affiliate
%%author #1 #2
%%#1: label
%%#2: First Name (space) Family Name

\newcount\author@num
\newcount\affiliate@num
\affiliate@num\@ne
\let\list@label\@empty


\def\split@name@P@F#1 #2\@nill{%
    \def\temp@P{#1}%
    \def\temp@F{#2}%
    }

\def\author#1#2{%
   \advance\author@num\@ne
   \expandafter\split@name@P@F#2\@nill
   \expandafter\edef\csname author@P@\the\author@num\endcsname{\temp@P}
   \expandafter\edef\csname author@F@\the\author@num\endcsname{\temp@F}
   \edef\temp{\zap@space#1 \@empty}%zap space form the list of affiliate label #1.a
   %%\temp is a zapped list
   \expandafter\edef\csname label@\the\author@num\endcsname{\temp}
   \@for\temp:=\temp\do{%for each element of \temp, define the ``mark number.''
   \@ifundefined{mark@\temp}{%
      \advance\affiliate@num\@ne
      \expandafter\edef\csname mark@\temp\endcsname{\the\affiliate@num}%
      \ifx\list@label\@empty
         \xdef\list@label{\temp}%
      \else
         \xdef\list@label{\list@label,\temp}%
      \fi
      }{\relax}
   }%
}


\def\breakauthorline#1{%
   \xdef\templist{\zap@space#1 \@empty}%
   \@for\temp:=\templist\do{%
      \@namedef{break@or@relax@\temp}{\\}%
   }%
}


%%\affiliate
%%#1: label #2:affliate (name) #3: affiliate (address) #4: e-mail (option)

\def\affiliate#1#2#3{\@ifnextchar[%
   {\affiliate@{#1}{#2}{#3}}%
   {\affiliate@{#1}{#2}{#3}[]}%
}

\def\affiliate@#1#2#3[#4]{%
   \@namedef{affiliate@name@#1}{#2}%
   \@namedef{affiliate@address@#1}{#3}%
   \@namedef{affiliate@email@#1}{#4}%
}

\def\affiliate@mark@author#1{%
   \ifcase#1\relax\or %1
    \or ${\ast}$%2
    \or ${\ast}{\ast}$%3
    \or ${\ast}{\ast}{\ast}$%4
    \or ${\ast}{\ast}{\ast}{\ast}$%5
    \or ${\ast}{\ast}{\ast}{\ast}{\ast}$%6
    \or ${\ast}{\ast}{\ast}{\ast}{\ast}{\ast}$%7
    \or ${\ast}{\ast}{\ast}{\ast}{\ast}{\ast}{\ast}$%8
    \else\relax
%%%%%%%%%%%%%%%%%%%
       \@jsme@error{Too many affiliation!}{\@ehc}%
%%%%%%%%%%%%%%%%%%%
    \fi
}

\gdef\@jsme@error#1#2{%
   \GenericError{%
      \space\space\space\@spaces\@spaces\@spaces
   }{%
      JSME TJ Package Error: #1%
   }{%
      Please consult to TeX the LaTeX manual or LaTeX Companion for explanation.%
   }{#2}%
}


%%%%%%%%%%

\newskip\titleauthorsep
\newskip\authorabstractsep
\newskip\abstracttextsep


\titleauthorsep\baselineskip
\authorabstractsep\baselineskip
\abstracttextsep\baselineskip

\def\maketitle{%
   \thispagestyle{titlepage}
%  \thispagestyle{normalpage}
 %  \calculate@year
   \bgroup
      %\vspace*{5pt}%
 %     \color{headcolor}
      \fontsize{18pt}{22pt}\usefont{OT1}{ptm}{bx}{n}
      \boldmath
      %\noindent
      %\title@font%
	\begin{center@withoutsep}
		\@title%\textsuperscript{}%
%		\def\@makefnmark{\relax}%
%		\footnote{%
%			\color{black}%
%			\bibdata@font%
%			\hspace{-8mm}%
%			\fboxsep\z@%
%			\colorbox{bibdatabox@color}{%
%				\vbox{%
%					\hsize45mm%
%					\@parboxrestore%
%					{\color{bibdatabox@up@border@color}%
%						\leavevmode%
%						\leaders%
%						\hrule height.15mm depth.15mm%
%						\hfill%
%						\kern\z@}%
%					\par%
%					\vskip-2pt%
%					\leftskip4mm%
%					\hskip-\leftskip%
%					{\textsuperscript{$\ast$}}%
%					Received~\received@day~\received@month,~\received@year~%
%					(No.~\paper@no)\par
%					{\leftskip0pt%
%					\additional@comments\par}%
%					\iffalse%
%						\@for\temp:=\list@label\do{%
%							\hskip-\leftskip%
%							\rlap{\textsuperscript{\affiliate@mark@author{\@nameuse{mark@\temp}}}}%
%							\hskip\leftskip%
%							\@nameuse{affiliate@name@\temp},\\%
%							\@nameuse{affiliate@address@\temp}\\%
%							E-mail: %
%							\@nameuse{affiliate@email@\temp}\\%
%						}%
%					\fi%
%					\par%
%					\hskip-\leftskip%
%					[DOI: \csname DOI@\@field\endcsname]%
%				}%
%				\par%
%			}%
%			\par%
%			\reset@font%
%			\textbf{Copyright $\copyright$ 2014 by JSME}%
%		}%
%		\addtocounter{footnote}{-1}%
	\end{center@withoutsep}
      \par%
   \egroup
%%%%%%%%%%%
\vskip\titleauthorsep
%%%%%%%%%%%
   \bgroup
   \font@author
   \leftskip5mm
   \centering
   \parindent\z@
   \count@\z@
   \loop\ifnum\count@<\author@num\relax
      \@tempcnta\count@ 
      \advance\count@\@ne
      \edef\current@label{\csname label@\the\count@\endcsname}%
      \ifnum\count@=\@ne\else
         \ifnum\count@=\author@num\ \@nameuse{break@or@relax@\the\@tempcnta}and\ %
            \else%%%%%%%Put ``and'' before the last author,
              \unskip,\ \@nameuse{break@or@relax@\the\@tempcnta}%
         \fi%otherwise, put ``,\ '' between authors.
      \fi%
      \@nameuse{author@P@\the\count@}~%
      \MakeUppercase{\@nameuse{author@F@\the\count@}}%
      \@tempcnta\z@
      \@for\temp:=\current@label\do{\advance\@tempcnta\@ne}%
      \edef\number@temp@label{\the\@tempcnta}%
      \@tempcnta\z@
      \textsuperscript{%
         \@for\temp:=\current@label\do{%
            \advance\@tempcnta\@ne
            \affiliate@mark@author{\@nameuse{mark@\temp}}%%
            \ifnum\@tempcnta=\number@temp@label\relax\else,\fi
            }%
         }%
   \repeat
   \par
   \egroup
%%%%%%%%%
\bgroup
\parindent\z@
\titlepage@affiliate@font@size
\centering
\@for\temp:=\list@label\do{%
   %\hskip-\leftskip
   \textsuperscript{\affiliate@mark@author{\@nameuse{mark@\temp}}}\,%
   \@nameuse{affiliate@name@\temp},
   \@nameuse{affiliate@address@\temp}\\
   \expandafter\ifx\csname affiliate@email@\temp\endcsname\@empty
   \else
      E-mail:~\@nameuse{affiliate@email@\temp}\\
    \fi}%
\egroup
%%%%%%%%%%
\vskip\authorabstractsep
}

%%%%%%%%%abstract, keywords

\newbox\abstbox
\newbox\keywordsbox

\def\abstract{\global\setbox\abstbox=\vbox\bgroup%
     \parindent\z@
     \everypar={{\abstractkey@head@font
           Abstract}\everypar={}\par}
     \hsize\linewidth
     \advance\hsize-10mm
}%

\def\endabstract{\egroup}

\def\keywords{\global\setbox\keywordsbox=\vbox\bgroup%
     \parindent\z@
     \everypar={{\abstractkey@head@font\itshape
           Key words~\normalfont:~}\everypar={}}
     \hsize\linewidth
     \advance\hsize-10mm
     \setbox\z@=\hbox{\abstractkey@head@font\itshape Key words~\normalfont:~}%
     \hangindent\wd\z@
     \hangafter-\m@ne
}

\def\endkeywords{\egroup
   \fboxsep1.5mm
   \parindent\z@
   \advance\linewidth-2\fboxsep
   \colorbox{abstractbox@color}{%
   \vbox{%
   \hsize\linewidth
   \parindent\z@
   \parbox{\linewidth}{\hfil\copy\abstbox\hfil}%
   \\[\baselineskip]%
   \parbox{\linewidth}{\hfil\copy\keywordsbox\hfil}}%
   }%
   \vskip\abstracttextsep
}%

%%%%%%%%section, subsection, subsubsection
\setcounter{secnumdepth}{3}
\newcounter{section}
\renewcommand{\thesection}{\@arabic\c@section}

\newcounter{subsection}[section]
\renewcommand{\thesubsection}{\thesection.\@arabic\c@subsection}

\newcounter{subsubsection}[subsection]
\renewcommand{\thesubsubsection}{\thesubsection.\@arabic\c@subsubsection}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\iffalse
\newcommand{\section}{\@startsection{section}{1}{\z@}%
   {8pt}%\baselineskip}%{27pt}%{\baselineskip}%
   {1sp}%
   {\section@font\boldmath}%
}

\newcommand{\subsection}{\@startsection{subsection}{2}{\z@}%
   {\baselineskip}%
   {1sp}%
   {\subsection@font\boldmath}%
}


\newcommand{\subsubsection}{\@startsection{subsubsection}{3}{\z@}%
   {\z@}%
   {-2em}%
   {\subsubsection@font\boldmath}}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


\def\@startsection#1#2#3#4#5#6{%
  \if@noskipsec \leavevmode \fi
  \par
  \@tempskipa #4\relax
  \@afterindenttrue
  \ifdim \@tempskipa <\z@
    \@tempskipa -\@tempskipa \@afterindentfalse
  \fi
  \if@nobreak
    \everypar{}%
  \else
    \addpenalty\@secpenalty\addvspace\@tempskipa
  \fi
  \@ifstar
    {\@ssect{#3}{#4}{#5}{#6}{#2}}%
    {\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}}%


%%%#1 : indent
%%%#2 : beforeskip
%%%#3 : afterskip
%%%#4 : font & size 
%%%#5 : level



\def\@sect#1#2#3#4#5#6[#7]#8{%
  \ifnum #2>\c@secnumdepth
    \let\@svsec\@empty
  \else
    \refstepcounter{#1}%
    \protected@edef\@svsec{\@seccntformat{#1}\relax}%
  \fi
  \@tempskipa #5\relax
  \ifdim \@tempskipa>\z@
    \begingroup
      \ifnum#2=1\relax%%%section
      #6{%
       \setbox\z@=\hbox{\hskip #3\relax\@svsec}%
        \dimen@\linewidth
        \advance\dimen@-\wd\z@
        \setbox\z@=\vbox{\hsize\dimen@#8}%
        \ifdim\ht\z@>\baselineskip
           \hskip #3\relax\@svsec%
           \parbox[t]{\dimen@}{#8}%
        \else
           \par
%           \vbox to27pt{\@parboxrestore\vss\hskip #3\relax\@svsec#8\vss}%
           \vbox to15pt{\@parboxrestore\vss\hskip #3\relax\@svsec#8\vss}%
        \fi
      }%
      \else
      #6{%
        \@hangfrom{\hskip #3\relax\@svsec}%
          \interlinepenalty \@M #8\@@par}%
      \fi
    \endgroup
    \csname #1mark\endcsname{#7}%
    \addcontentsline{toc}{#1}{%
      \ifnum #2>\c@secnumdepth \else
        \protect\numberline{\csname the#1\endcsname}%
      \fi
      #7}%
  \else%
    \def\@svsechd{%
      #6{\hskip #3\relax
      \@svsec #8}%
      \csname #1mark\endcsname{#7}%
      \addcontentsline{toc}{#1}{%
        \ifnum #2>\c@secnumdepth \else
          \protect\numberline{\csname the#1\endcsname}%
        \fi
        #7}}%
  \fi
  \@xsect{#5}}%
\def\@xsect#1{%
  \@tempskipa #1\relax%
  \ifdim \@tempskipa>\z@%
    \par \nobreak%
    \ifdim\@tempskipa=1sp\relax%
       \vskip-\@tempskipa%
    \else%
       \vskip \@tempskipa%
    \fi%
    \@afterheading%
  \else%
    \@nobreakfalse%
    \global\@noskipsectrue%
    \everypar{%
      \if@noskipsec%
        \global\@noskipsecfalse%
       {\setbox\z@\lastbox}%
        \clubpenalty\@M%
        \begingroup \@svsechd \endgroup%
        \unskip%
        \@tempskipa #1\relax%
        \hskip -\@tempskipa%
      \else%
        \clubpenalty \@clubpenalty%
        \everypar{}%
      \fi}%
  \fi%
  \prevdepth\z@%
  \ignorespaces}%
\def\@seccntformat#1{\csname the#1\endcsname.\hskip.5em}%

\fi
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%
%%%
%%%
%\def\@hangfrom#1{\setbox\@tempboxa\hbox{{#1}}%
%      \hangindent \wd\@tempboxa\noindent\box\@tempboxa}%latex.ltx original

\let\org@hangfrom\@hangfrom



\def\@startsection#1#2#3#4#5#6{\if@noskipsec \leavevmode \fi
   \par \@tempskipa #4\relax
   \@afterindenttrue
   \ifdim \@tempskipa <\z@ 
     \@tempskipa -\@tempskipa \@afterindentfalse
   \fi
   \if@nobreak 
      \everypar{}
   \else
      \addpenalty{\@secpenalty}%
      \ifnum #2=\@ne
%%    \ifdim\prevdepth>2.5pt\leavevmode\fi%%% Experimental code2004/02/28
      \ifdim\prevdepth>4pt\leavevmode\fi%%% Experimental code2004/04/11
         \vskip-\prevdepth 
         \prevdepth\z@ 
         \vskip\normal@baselineskip
         \advance\@tempskipa-\normal@baselineskip 
         \vspace*{\@tempskipa}%
      \else
         \addvspace{\@tempskipa}%
      \fi
   \fi 
   \@ifstar
     {\@ssect{#3}{#4}{#5}{#6}{#2}}{\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}}

%%%
%%%\@ssect
%%%
%%%#1 : indent
%%%#2 : beforeskip
%%%#3 : afterskip
%%%#4 : font & size 
%%%#5 : level
%%%%%%change 2006/06/16
\def\@ssect#1#2#3#4#5#6{%
%  \ifnum #2>\c@secnumdepth
%    \let\@svsec\@empty
%  \else
%    \refstepcounter{#1}%
%%%%%%%%%%
%  \let\adjust\@empty
%  \if@appendix
%     \if<#8<\else\def\adjust{:\quad}\fi%
%  \fi
%%%%%%%%%
%    \protected@edef\@svsec{\@seccntformat{#1}\relax}%
%  \fi
  \@tempskipa #2\relax%%%#2 bereforeskip
%%%%%%%%%%%%%%%%%%%%%%
  \ifnum#5=\@ne
     \setbox\z@=\hbox{\begingroup#4#6\endgroup}%%
     \ifnum\wd\z@<\linewidth%%\columnwidth
        {\copy\z@}%
     \else
        \begingroup
           #4{%%%#4 %%font
              \@hangfrom{\hskip #1\relax}%%%#1 indent
              \interlinepenalty \@M #6\@@par}%#6 section
        \endgroup
     \fi
  \else
%%%%%%%%%%%%%%%%%%%%%
     \ifdim \@tempskipa>\z@
        \begingroup
           #4{%%%#4 %%font
              \@hangfrom{\hskip #1\relax\@svsec}%%%#1 indent
              \interlinepenalty \@M #6\@@par}%#6 section
        \endgroup
        %%\csname #1mark\endcsname{#7}%%%#1 section
        %%\addcontentsline{toc}{#1}{%
        %%   \ifnum #2>\c@secnumdepth \else%%#2 level
        %%     \protect\numberline{\csname the#1\endcsname}%
        %%  \fi
        %%   #7}%%%#7 section
     \else
        \def\@svsechd{%
           #4{\hskip #1\relax
           #6}%
           %%\csname #1mark\endcsname{#7}%
           %%\addcontentsline{toc}{#1}{%
           %%\ifnum #2>\c@secnumdepth \else
           %%   \protect\numberline{\csname the#1\endcsname}%
           %%\fi
           %%#7}%
           }%
     \fi
%%%%%%%%%%%%%%%%%%%%%
  \fi
  \@xsect{#3}}




\def\@sect#1#2#3#4#5#6[#7]#8{%
  \ifnum #2>\c@secnumdepth
    \let\@svsec\@empty
  \else
    \refstepcounter{#1}%
%%%%%%%%%
  \let\adjust\@empty
  \if@appendix
     \if<#8<\else\def\adjust{:\quad}\fi%
  \fi
%%%%%%%%%
    \protected@edef\@svsec{\@seccntformat{#1}\relax}%
  \fi
  \@tempskipa #5\relax%%%#5 bereforeskip
%%%%%%%%%%%%%%%%%%%%%%
  \ifnum#2=\@ne
     \setbox\z@=\hbox{\begingroup#6\@svsec#8\endgroup}%%
     \ifnum\wd\z@<\linewidth%%\columnwidth
        {\copy\z@}%
     \else
        \begingroup
           #6{%%%#6 %%font
              \@hangfrom{\hskip #3\relax\@svsec}%%%#3 indent
              \interlinepenalty \@M #8\@@par}%#8 section
        \endgroup
     \fi
  \else
%%%%%%%%%%%%%%%%%%%%%
     \ifdim \@tempskipa>\z@
        \begingroup
           #6{%%%#6 %%font
              \@hangfrom{\hskip #3\relax\@svsec}%%%#3 indent
              \interlinepenalty \@M #8\@@par}%#8 section
        \endgroup
        \csname #1mark\endcsname{#7}%%%#1 section
        \addcontentsline{toc}{#1}{%
           \ifnum #2>\c@secnumdepth \else%%#2 level
              \protect\numberline{\csname the#1\endcsname}%
           \fi
            #7}%%%#7 section
     \else
        \def\@svsechd{%
           #6{\hskip #3\relax
           \@svsec #8}%
           \csname #1mark\endcsname{#7}%
           \addcontentsline{toc}{#1}{%
           \ifnum #2>\c@secnumdepth \else
              \protect\numberline{\csname the#1\endcsname}%
           \fi
           #7}}%
     \fi
%%%%%%%%%%%%%%%%%%%%%
  \fi
  \@xsect{#5}}

%%%%%%%%%%%%%%%%%%%%
\def\@xsect#1{%
  \@tempskipa #1\relax
  \ifdim \@tempskipa>\z@
    \par \nobreak
%%%%%%%%%%%%%%%%%%%%%%%%%
\ifdim\@tempskipa=1sp
    \vskip\z@
\else
    \vskip \@tempskipa
\fi
%%%%%%%%%%%%%%%%%%%%%%%%%
    \@afterheading
  \else
    \@nobreakfalse
    \global\@noskipsectrue
    \everypar{%
      \if@noskipsec
        \global\@noskipsecfalse
       {\setbox\z@\lastbox}%
        \clubpenalty\@M
        \begingroup \@svsechd \endgroup
        \unskip
        \@tempskipa #1\relax
        \hskip -\@tempskipa
      \else
        \clubpenalty \@clubpenalty
        \everypar{}%
      \fi}%
  \fi
  \ignorespaces}
%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%2004/05/12
\def\@afterheading{%
  \@nobreaktrue
  \everypar{%
    \if@nobreak
      \@nobreakfalse
      \clubpenalty\@clubpenalty%%\@M
      \if@afterindent \else
        {\setbox\z@\lastbox}%
      \fi
    \else
      \clubpenalty \@clubpenalty
      \everypar{}%
    \fi}}
%%%%%%%%%%%%%%%%%%%%%%%





\newcommand{\section}{\@startsection{section}{1}{\z@}%
   {1\normal@baselineskip \@plus1.5pt \@minus1.5pt}%
 %  {1\normal@baselineskip \@plus1.5pt \@minus1.5pt}%
   {1sp}%
   {\normalsize\normalfont\section@font\boldmath}}

%\newcommand{\subsection}{\@startsection{subsection}{2}{\z@}%
%   {\normal@baselineskip}%
%   {1sp}%
%   {\normalsize\normalfont\subsection@font\boldmath}}
%
%\newcommand{\subsubsection}{\@startsection{subsubsection}{3}{\z@}%
%   {\z@}%
%   {-2em}%
%   {\normalsize\normalfont\subsection@font\boldmath}}

\def\@seccntformat#1{\csname the#1\endcsname.\hskip.5em}%


%%%
%%%Appendix
%%%
\newif\if@appendix
\def\appendix{%
   \@appendixtrue
\AtEndDocument{\typeout{^^J>>>>>>>>>>>>>> APPENDIX : CHECK EQUATION NUMBER!!!^^J}}
   \setcounter{section}{0}%
   \def\section@num@format{Appendix \@Alph{\c@section}\adjust}%
%%%%%%%%%%%%
%\renewcommand{\section}{\@startsection{section}{1}{\z@}%
%   {.5\normal@baselineskip \@plus1.5pt \@minus1.5pt}%
%   {.5\normal@baselineskip \@plus1.5pt \@minus1.5pt}%
%   {\normalsize\normalfont\normalcolor\section@font\boldmath}}
%%%%%%%%%%%%
   \setcounter{equation}{0}%
   \def\theequation{\ifnum\c@section=\z@ A\else\@Alph{\c@section}\fi.\the\c@equation}
}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\def\notation{\par
   \topskip\z@
   \multicolsep5pt
   \columnsep2em
   \def\descriptionlabel##1{\normalfont\hss##1~:~}
   \prevdepth-\@m\p@
   \begin{multicols}{2}\parindent\z@
   \global\multicolsep\z@
      \list{}{%
        \parsep\z@
        \leftmargin12mm
        \labelwidth12mm
        \labelsep\z@
        \itemindent\z@
        \itemsep\z@
        \let\makelabel\descriptionlabel}%
}

\def\endnotation{\endlist\end{multicols}}%\vskip10pt}

%%%%%%%%%%%
%\ifams
%\mathindent2em
%\else
\newdimen\mathindent
\mathindent2em
%\fi%%%%2007/05/07
\def\@eqnsel{\hfill}
\def\@eqnnum{{\normalfont \normalcolor (\theequation)\hbox to4em{}}}
%\def\@eqnnum{{\normalfont \normalcolor (\theequation)}}


\renewcommand\[{\relax
                \ifmmode\@badmath
                \else
                  \begin{trivlist}%
                    \@beginparpenalty\predisplaypenalty
                    \@endparpenalty\postdisplaypenalty
                    \item[]\leavevmode
                    \hb@xt@\linewidth\bgroup $\m@th\displaystyle %$
                      \hskip\mathindent\bgroup
                \fi}
\renewcommand\]{\relax
                \ifmmode
                      \egroup $\hfil% $
                    \egroup
                  \end{trivlist}%
                \else \@badmath
                \fi}
\renewenvironment{equation}%
    {\@beginparpenalty\predisplaypenalty
     \@endparpenalty\postdisplaypenalty
     \refstepcounter{equation}%
     \trivlist \item[]\leavevmode
       \hb@xt@\linewidth\bgroup $\m@th% $
         \displaystyle
         \hskip\mathindent}%
        {$\hfil % $
         \displaywidth\linewidth\hbox{\@eqnnum}%
       \egroup
     \endtrivlist}
\renewenvironment{eqnarray}{%
    \stepcounter{equation}%
    \def\@currentlabel{\p@equation\theequation}%
    \global\@eqnswtrue\m@th
    \global\@eqcnt\z@
    \tabskip\mathindent
    \let\\=\@eqncr
    \setlength\abovedisplayskip{\topsep}%
    \ifvmode
      \addtolength\abovedisplayskip{\partopsep}%
    \fi
    \addtolength\abovedisplayskip{\parskip}%
    \setlength\belowdisplayskip{\abovedisplayskip}%
    \setlength\belowdisplayshortskip{\abovedisplayskip}%
    \setlength\abovedisplayshortskip{\abovedisplayskip}%
    $$\everycr{}\halign to\linewidth% $$
    \bgroup
      \hskip\@centering
      $\displaystyle\tabskip\z@skip{##}$\@eqnsel&%
      \global\@eqcnt\@ne \hfil${{}##{}}$\hfil&%
      \global\@eqcnt\tw@ 
        $\displaystyle{##}$\hfil \tabskip\@centering&%
      \global\@eqcnt\thr@@
        \hb@xt@\z@\bgroup\hss##\egroup\tabskip\z@skip\cr}%
      {\@@eqncr
    \egroup
    \global\advance\c@equation\m@ne$$% $$
    \@ignoretrue
    }
%%\fi 2007/05/07

%%%%%%%
%\ifnotx
%   \DeclareFontFamily{OMX}{smallcmex}{}
%   \DeclareFontShape{OMX}{smallcmex}{m}{n}{
%      <-> s * [.7] cmex10%
%   }{}
%   \DeclareFontShape{OMX}{smallcmex}{bx}{n}{
%      <-> s * [.7] cmex10%
%   }{}
%   \DeclareSymbolFont{smalllargesymbols}{OMX}{smallcmex}{m}{n}
%   \SetSymbolFont{smalllargesymbols}{bold}{OMX}{smallcmex}{bx}{n}
%\else
   \DeclareFontFamily{OMX}{smalltxex}{}
   \DeclareFontShape{OMX}{smalltxex}{m}{n}{
      <-> s * [.7] txex%
   }{}
   \DeclareFontShape{OMX}{smalltxex}{bx}{n}{
      <-> s * [.7] txbex%
   }{}
  \DeclareSymbolFont{smalllargesymbols}{OMX}{smalltxex}{m}{n}
  \SetSymbolFont{smalllargesymbols}{bold}{OMX}{smalltxex}{bx}{n}
%\fi



\let\sum\undefined
\let\prod\undefined
\let\intop\undefined
\DeclareMathSymbol{\prod}{\mathop}{smalllargesymbols}{"51}
\DeclareMathSymbol{\sum}{\mathop}{smalllargesymbols}{"50}
\DeclareMathSymbol{\intop}{\mathop}{smalllargesymbols}{"52}

%%%%%%%%%%%%%%
%\newdimen\bibindent
%\setlength\bibindent{1.5em}
\def\@biblabel#1{}
\newenvironment{thebibliography}[1]
     {\section*{References}%%%%change 2013/08/26
      \list {\@biblabel{\@arabic\c@enumiv}}%
            {\settowidth\labelwidth{\@biblabel{#1}}%
            %\leftmargin\labelwidth
            %\advance\leftmargin\labelsep
            \leftmargin2zw
            \labelwidth0mm
            \labelsep\z@
            \itemindent-2zw
            \listparindent\z@
            \itemsep\z@
            \partopsep\z@
            \topsep\z@
            \parsep\z@
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \def\makelabel##1{##1\hss}
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m
%%%%%%%%%bibtag for JST
      \def\bibauthor##1{##1\ \ignorespaces}%
      \def\bibtitle##1{##1\ \ignorespaces}%
      \def\bibjname##1{##1\ \ignorespaces}%
      \def\bibpubname##1{##1\ \ignorespaces}%
      \def\bibvol##1{##1\ \ignorespaces}%
      \def\bibno##1{##1\ \ignorespaces}%
      \def\bibpubyear##1{##1\ \ignorespaces}%
      \def\bibpage##1{##1\ \ignorespaces}%
      \def\bibother##1{##1\ \ignorespaces}%
      }%
%%%%%%%%%
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}


%% from citesort.sty, customized a little
\newcount\@minsofar
\newcount\@min
\newcount\@cite@temp
\def\@citex[#1]#2{%
\if@filesw \immediate \write \@auxout {\string \citation {#2}}\fi
\@tempcntb\m@ne \let\@h@ld\relax \def\@citea{}%
\@min\m@ne%
\@cite{%
  \@for \@citeb:=#2\do {\@ifundefined {b@\@citeb}%
    {\@h@ld\@citea\@tempcntb\m@ne\textbf{?}%% {\bf ?}
    \@warning {Citation `\@citeb ' on page \thepage \space undefined}}%
{\@minsofar\z@ \@for \@scan@cites:=#2\do {%
  \@ifundefined{b@\@scan@cites}%
    {\@cite@temp\m@ne}
    {\@cite@temp\number\csname b@\@scan@cites \endcsname \relax}%% <
 \ifnum\@cite@temp > \@min% select the next one to list
    \ifnum\@minsofar = \z@
      \@minsofar\number\@cite@temp
      \edef\@scan@copy{\@scan@cites}\else
    \ifnum\@cite@temp < \@minsofar %% >
      \@minsofar\number\@cite@temp
      \edef\@scan@copy{\@scan@cites}\fi\fi\fi}\@tempcnta\@min %% <
  \ifnum\@minsofar > \z@ % some more
    \advance\@tempcnta\@ne
    \@min\@minsofar
    \ifnum\@tempcnta=\@minsofar %   Number follows previous--hold on to it
      \ifx\@h@ld\relax
        \edef \@h@ld{\@citea\csname b@\@scan@copy\endcsname}%
      \else %% [
       \edef\@h@ld{\ifmmode{)\mbox{\,--\,}\allowbreak (}%%% insert \,
        \else )\,--\,\allowbreak(\fi %% ]%% insert \,
         \csname b@\@scan@copy\endcsname}%
      \fi
    \else \@h@ld\@citea\csname b@\@scan@copy\endcsname
          \let\@h@ld\relax
  \fi % no more
 \fi}%
  \def\@citea{%% [
   ),\,\allowbreak(}}\@h@ld}{#1}% ]
}
\def\@cite#1#2{\leavevmode\unskip
  \ifnum\lastpenalty=\z@\penalty\@highpenalty\fi%highpenalty before
%  $^{\mbox{\scriptsize\rm({\multiply\@highpenalty 3 #1%% triple-highpenalties within
%      \if@tempswa,\penalty\@highpenalty\ #2\fi % and before note.
%    })}}$
   \textscript{({\multiply\@highpenalty 3 #1% triple-highpenalties within
        \if@tempswa,\penalty\@highpenalty\ #2\fi % and before note.
        })}%
   \spacefactor\@m}
%%%%%%%
%%%%%%%\citen: not script citation
%%%%%%%
\def\citen#1{%
   \bgroup
      \let\unskip\relax
      \let\textscript\@empty
      \cite{#1}%
   \egroup}




%%%%%%%%%%%%%%%%%%%%%tabel figure
\newcounter{figure}
\newcounter{table}


\def\center@withoutsep{%
   \topsep\z@\partopsep\z@\parsep\z@
   \trivlist \centering\item\relax}
\def\endcenter@withoutsep{\endtrivlist}


\def\@floatboxreset{%
        \reset@font
        \fontsize{8.5pt}{10pt}\selectfont
        \@setminipage
}


\renewcommand\thefigure{\@arabic\c@figure}
\def\fps@figure{thp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename~\thefigure}
\def\figurename{Fig.}
\newenvironment{figure}
               {\let\center\center@withoutsep
                \let\endcenter\endcenter@withoutsep
                \captionwidth.8\hsize
                \@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\let\center\center@withoutsep
                \let\endcenter\endcenter@withoutsep
                \captionwidth140mm
                \@dblfloat{figure}}
               {\end@dblfloat}

\renewcommand\thetable{\@arabic\c@table}
\def\fps@table{thp}
\def\ftype@table{1}
\def\ext@table{lot}
\def\fnum@table{\tablename~\thetable}
\def\tablename{Table}
\newenvironment{table}
               {\let\center\center@withoutsep
                \let\endcenter\endcenter@withoutsep
                \captionwidth.8\hsize
                \fontsize{10pt}{12pt}\selectfont
                \@float{table}}
               {\end@float}
\newenvironment{table*}
               {\let\center\center@withoutsep
                \let\endcenter\endcenter@withoutsep
                \captionwidth120mm
                \fontsize{10pt}{12pt}\selectfont
                \@dblfloat{table}}
               {\end@dblfloat}



\newskip\abovefigurecaptionskip
\abovefigurecaptionskip3mm plus.5mm minus.5mm
\newskip\belowtablecaptionskip
\belowtablecaptionskip3mm plus.5mm minus.5mm
\def\@figure{figure}
\def\@table{table}
\newdimen\captionwidth


\long\def\@caption#1[#2]#3{%
  \par
\bgroup
\let\\\@empty
  \addcontentsline{\csname ext@#1\endcsname}{#1}%
    {\protect\numberline{\csname the#1\endcsname}{\ignorespaces #2}}%
\egroup
  \begingroup
    \@parboxrestore
    \if@minipage
      \@setminipage
    \fi
    \normalsize
    \@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par
  \endgroup}

%%%%
\newdimen\captionsep
%{\fontsize{8.5pt}{10pt}\global\captionsep1em}%


\long\def\@makecaption#1#2{%
   \ifx\@captype\@figure
      \prevdepth-1000pt
      \vskip\abovefigurecaptionskip
      \fontsize{8.5pt}{10pt}\selectfont\captionsep1em
%      \sbox\@tempboxa{#1\quad#2}%
%      \ifdim \wd\@tempboxa >\captionwidth
%         \begin{center}
%         \setbox\z@=\hbox{#1\quad}%
%         \parbox{\captionwidth}{%
%            \hangindent\wd\z@
%            \leavevmode\copy\z@#2\par}
%         \end{center}
%      \else
%         \global \@minipagefalse
%         \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
%      \fi
%%   \setbox\z@=\hbox{#1\quad}%
   \setbox\z@=\hbox{#1\hskip\captionsep}%
   \dimen@\captionwidth\advance\dimen@-\wd\z@
%  \setbox\tw@\vbox{\hsize\dimen@\@parboxrestore#2}%
%%%%%%%
   \setbox\tw@\vbox{\pretolerance 9999\emergencystretch4em%
\hsize\dimen@\@parboxrestore#2}%
%%%%%%%
   \global\setbox\@ne\vtop{}%
   \setbox\tw@\vbox{%
      \dimen@\z@\unvcopy\tw@
      \@makecaption@get@boxsize
      \unvbox\tw@
      \@makecaption@reconstruct@box}%
%%%%%%%%%%%%%%
\@tempdima\wd\z@
\advance\@tempdima\wd\@ne
\ifdim\@tempdima>\captionwidth\relax
\advance\@tempdima-\captionwidth
\hbox to\linewidth{\hss%%%%%%%%added 2004/05/27
\parbox{\captionwidth}{\sloppy\pretolerance 9999\emergencystretch4em%%
\hangindent\wd\z@\leavevmode\box\z@#2}%
\hss}%%%%%%%%%%%added 2004/05/27
\@minipagefalse
\else
%%%%%%%%%%%%%%%
%%\hbox to\columnwidth{\hss\hbox to\hsize{\hss\box\z@\box\@ne\hss}\hss}%
\hbox to\hsize{\hss\hbox to\hsize{\hss\box\z@\box\@ne\hss}\hss}%
      \@minipagefalse
\fi%%%%%%%
   \else
      \ifx\@captype\@table
%%%%%%%%%%%%%%
      \fontsize{8.5pt}{10pt}\selectfont
%      \sbox\@tempboxa{#1\quad#2}%
%      \ifdim \wd\@tempboxa >\captionwidth
%         \begin{center}
%         \setbox\z@=\hbox{#1\quad}%
%         \parbox{\captionwidth}{%
%            \hangindent\wd\z@
%            \leavevmode\copy\z@#2\par}
%         \end{center}
%      \else
%         \global \@minipagefalse
%         \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
%      \fi
   \setbox\z@=\hbox{#1\quad}%
   \dimen@\captionwidth\advance\dimen@-\wd\z@
   \setbox\tw@\vbox{\hsize\dimen@\@parboxrestore#2}%
   \global\setbox\@ne\vtop{}%
   \setbox\tw@\vbox{%
      \dimen@\z@\unvcopy\tw@
      \@makecaption@get@boxsize
      \unvbox\tw@
      \@makecaption@reconstruct@box}%
%%%%%%%%%%%%%%
\@tempdima\wd\z@
\advance\@tempdima\wd\@ne
\ifdim\@tempdima>\captionwidth\relax
\advance\@tempdima-\captionwidth
\hbox to\linewidth{\hss%%%%%%%%added 2004/05/27
\parbox{\captionwidth}{\sloppy\pretolerance 9999\emergencystretch4em%%
\hangindent\wd\z@\leavevmode\box\z@#2}%
\hss}%%%%
\@minipagefalse\par
\else
%%%%%%%%%%%%%%
%%\hbox to\columnwidth{\hss\hbox to\hsize{\hss\box\z@\box\@ne\hss}\hss}%
\hbox to\hsize{\hss\hbox to\hsize{\hss\box\z@\box\@ne\hss}\hss}%
      \@minipagefalse
\fi%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%
      \prevdepth-1000pt
      \vskip\belowtablecaptionskip
%%%%%%%%%%%%%%
      \else
         \relax
      \fi
   \fi
}%
%%%%%%%%%




\def\@makecaption@reconstruct@box{%
   \@tempdima\lastskip\unskip
   \unpenalty
   \advance\@tempdima\lastskip\unskip
   \unpenalty
   \setbox\tw@\lastbox
   \ifvoid\tw@\else
      \global\setbox\@ne\vtop{%
%%       \hbox{\unhbox\tw@}%
         \hbox to\dimen@{\unhbox\tw@}%
         \vskip\@tempdima%
         \unvbox\@ne}%
      \expandafter\@makecaption@reconstruct@box
   \fi
}%
\def\@makecaption@get@boxsize{%
   \unskip\unpenalty\unskip\unpenalty
   \setbox4\lastbox
   \ifvoid4\else
      \setbox4\hbox{\unhbox4}%
      \ifdim\dimen@<\wd4 \dimen@\wd4 \fi
   \expandafter\@makecaption@get@boxsize
   \fi
}%

%%%%
%%%%

\skip\footins=4mm plus 1mm minus 1mm

\footnotesep8.4pt

\dimen\footins=.5\textheight 

\def\footnoterule{\kern-1.1mm
  \hrule \@width \columnwidth \kern 1mm
\vskip-1.755pt%%%2004/03/01
}
\def\footnoterule{%
	\relax%
}%

\def\@makefnmark{\hbox{\textscript{\normalfont$\ast$\the\c@footnote}}}%
\long\def\@makefntext#1{%
    \parindent\z@%
    \everypar{\hangindent8mm\hb@xt@8mm{\hss\@makefnmark\hskip2mm}%
              \everypar{}}%
    #1}%


%%%%%%%%%%%%%%%%%%%%%%%%%%%

\define@key{jsme@enum}{type}{\def\@numtype{#1}}%
\define@key{jsme@enum}{numtype}{%
   \expandafter\let\expandafter\@numbertype\csname @#1\endcsname}%
\def\p@ren{()}%

\setkeys{jsme@enum}{type=(),numtype=arabic}


\def\enumerate{%
   \@ifnextchar[{\@enumerate}{\@enumerate[type=(),numtype=arabic]}%
}


\def\@enumerate[#1]{%
   \ifnum \@enumdepth >\thr@@\@toodeep\else
     \advance\@enumdepth\@ne
     \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
   \setkeys{jsme@enum}{#1}%
%%%%%%%%
   \if\@numtype.%
      \def\m@kelabel##1{%
         \setbox\z@=\hbox{11}%
%%%         \hbox to\wd\z@{\hss\@numbertype{##1}\hss}.}%
         \hbox to\wd\z@{\hss\@numbertype{##1}.\hss}}% 
   \else\if\@numtype)%
           \def\m@kelabel##1{%
              \setbox\z@=\hbox{11}%
              \hbox to\wd\z@{\hss\@numbertype{##1}\hss})}%
        \else\ifx\@numtype\p@ren
                \def\m@kelabel##1{%
                       \setbox\z@=\hbox{11}%
                       (\hbox to\wd\z@{\hss\@numbertype{##1}\hss})}%
             \else\relax
             \fi
        \fi
   \fi
%%%%%%%%
   \list{\csname the\@enumctr\endcsname}%
      {\parsep\z@
       \itemsep\z@
       \partopsep\z@
       \topsep\z@
       \rightmargin\z@
       \leftmargin\z@
       \let\makelabel\m@kelabel
       \setbox\z@=\hbox{\makelabel{11}}%
       \labelsep1em
       \itemindent\wd\z@
       \advance\itemindent\labelsep
       \advance\itemindent1em
       \labelwidth\wd\z@
       \usecounter\@enumctr}%
   \fi
}%
\let\endenumerate\endlist

%%%
%%%
%%%
\newcommand\labelitemi{\textbullet}
\newcommand\labelitemii{\normalfont\bfseries \textendash}
\newcommand\labelitemiii{\textasteriskcentered}
\newcommand\labelitemiv{\textperiodcentered}

\def\itemize{%
  \ifnum \@itemdepth >\thr@@\@toodeep\else
    \advance\@itemdepth\@ne
    \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
%%%%%%%%
   \list{\csname\@itemitem\endcsname}%
      {\parsep\z@
       \itemsep\z@
       \partopsep\z@
       \topsep\z@
       \rightmargin\z@
       \leftmargin\z@
       \def\makelabel##1{\hbox to1em{\hss##1\hss}}%
       \setbox\z@=\hbox{\makelabel{\@itemitem}}%
       \labelsep1em
       \itemindent\wd\z@
       \advance\itemindent\labelsep
       \advance\itemindent1em
       \labelwidth\wd\z@}
   \fi}%
\let\enditemize\endlist


%%%%%%%%%%%%%%%%%%%%%%%%%

\def\subequation{%
   \stepcounter{equation}%
   \edef\parent@equation{\the\c@equation}%
   \setcounter{equation}{0}%
   \def\theequation{\parent@equation.\@alph{\c@equation}}%
}%
\def\endsubequation{%
   \setcounter{equation}{\parent@equation}%
   \@ignoretrue
   }%

%%%%%%%%OLD FONT COMMANDS!
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}


%%%
%%%POFPOT
%%%
%\def\POF#1{\ifPOFPOT\marginpar{\fboxsep=1pt\fbox{\bf F.\,#1}}\else\fi}
%\def\POT#1{\ifPOFPOT\marginpar{\fboxsep=1pt\fbox{\bf T.\,#1}}\else\fi}
%\marginparwidth 17mm%%
%\marginparsep 2mm
%\marginparpush .5\baselineskip

\def\pushtowall{\relax\leavevmode
\ifmmode\def\next{\mathpalette\mathpushw@ll}
\else\let\next\makepushw@ll \fi \next}
\def\finpushw@ll{\wd0=0pt \box0}
\def\makepushw@ll#1{\setbox0=\hbox{#1}\finpushw@ll}
\def\mathpushw@ll#1#2{\setbox0=\hbox{$\m@th#1{#2}$}\finpushw@ll}%%

%%%
%%%Underfull
%%%
\hbadness=4000
\vbadness=4000


%%%
%%%\,= CM \,
%%%
%\DeclareRobustCommand{\,}{\thinspace}%

%%%
%%%clubpenalty
%%%
\def\@item[#1]{%
  \if@noparitem
    \@donoparitem
  \else
    \if@inlabel
      \indent \par
    \fi
    \ifhmode
      \unskip\unskip \par
    \fi
    \if@newlist
      \if@nobreak
        \@nbitem
      \else
        \addpenalty\@beginparpenalty
        \addvspace\@topsep
        \addvspace{-\parskip}%
      \fi
    \else
      \addpenalty\@itempenalty
      \addvspace\itemsep
    \fi
    \global\@inlabeltrue
  \fi
  \everypar{%
    \@minipagefalse
    \global\@newlistfalse
    \if@inlabel
      \global\@inlabelfalse
      {\setbox\z@\lastbox
       \ifvoid\z@
         \kern-\itemindent
       \fi}%
      \box\@labels
      \penalty\z@
    \fi
    \if@nobreak
      \@nobreakfalse
      \clubpenalty\@M%%%2004/5/12 
    \else
      \clubpenalty\z@%%\@clubpenalty%%%2004/5/13 
      \everypar{}%
    \fi}%
  \if@noitemarg
    \@noitemargfalse
    \if@nmbrlist
      \refstepcounter\@listctr
    \fi
  \fi
  \sbox\@tempboxa{\makelabel{#1}}%
  \global\setbox\@labels\hbox{%
    \unhbox\@labels
    \hskip \itemindent
    \hskip -\labelwidth
    \hskip -\labelsep
    \ifdim \wd\@tempboxa >\labelwidth
      \box\@tempboxa
    \else
      \hbox to\labelwidth {\unhbox\@tempboxa}%
    \fi
    \hskip \labelsep}%
  \ignorespaces}



%%%%%%%%
\fboxsep3pt
\fboxrule0.4pt
\arrayrulewidth.4pt
\arraycolsep5pt
\parindent2em
\tabcolsep5pt
\hbadness4000
\vbadness4000
\def\thepage{\the\c@page}
\pagestyle{normalpage}
\raggedbottom

\endinput